classification
Title: Sporadic failure in test_httpservers
Type: behavior Stage: resolved
Components: Library (Lib), Tests Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: orsenthil, pitrou, python-dev, vstinner
Priority: normal Keywords: patch

Created on 2011-03-20 17:06 by pitrou, last changed 2018-12-11 16:08 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11121 merged vstinner, 2018-12-11 15:46
Messages (6)
msg131514 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-03-20 17:06
http://www.python.org/dev/buildbot/all/builders/x86%20OpenIndiana%203.2/builds/101/steps/test/logs/stdio


test test_httpservers failed -- Traceback (most recent call last):
  File "/export/home/buildbot/32bits/3.2.cea-indiana-x86/build/Lib/test/test_httpservers.py", line 136, in test_version_digits
    res = self.con.getresponse()
  File "/export/home/buildbot/32bits/3.2.cea-indiana-x86/build/Lib/http/client.py", line 1046, in getresponse
    response.begin()
  File "/export/home/buildbot/32bits/3.2.cea-indiana-x86/build/Lib/http/client.py", line 346, in begin
    version, status, reason = self._read_status()
  File "/export/home/buildbot/32bits/3.2.cea-indiana-x86/build/Lib/http/client.py", line 328, in _read_status
    raise BadStatusLine(line)
http.client.BadStatusLine: <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
msg131564 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-03-20 23:10
Another example on x86 OpenIndiana 3.2:

test test_httpservers failed -- Traceback (most recent call last):
  File "/export/home/buildbot/32bits/3.2.cea-indiana-x86/build/Lib/test/test_httpservers.py", line 210, in test_latin1_header
    self.assertEqual(res.getheader('X-Special'), 'D\xe4ngerous Mind')
AssertionError: None != 'D\xe4ngerous Mind'
msg131568 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-20 23:29
New changeset fa20590d4694 by Antoine Pitrou in branch '3.2':
Try to strengthen test_httpservers (issue #11617)
http://hg.python.org/cpython/rev/fa20590d4694

New changeset 34db881edb4d by Antoine Pitrou in branch 'default':
Try to strengthen test_httpservers (issue #11617)
http://hg.python.org/cpython/rev/34db881edb4d
msg135915 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-05-13 15:09
The issue looks to be fixed. Reopen if there are new failures.
msg331634 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-11 15:45
Hum, it seems like this bug still exists in Python 2.7. Error from Fedora CI:

test_head_via_send_error (test.test_httpservers.BaseHTTPServerTestCase) ... ERROR
(...)
ERROR: test_head_via_send_error (test.test_httpservers.BaseHTTPServerTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-2.7.15/Lib/test/test_httpservers.py", line 303, in test_head_via_send_error
    res = self.con.getresponse()
  File "/builddir/build/BUILD/Python-2.7.15/Lib/httplib.py", line 1121, in getresponse
    response.begin()
  File "/builddir/build/BUILD/Python-2.7.15/Lib/httplib.py", line 438, in begin
    version, status, reason = self._read_status()
  File "/builddir/build/BUILD/Python-2.7.15/Lib/httplib.py", line 402, in _read_status
    raise BadStatusLine(line)
BadStatusLine: ''
msg331636 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-11 16:08
New changeset d336b1c8a40d14054145393fafb54b782cc1a549 by Victor Stinner in branch '2.7':
bpo-11617: Try to strengthen test_httpservers (GH-11121)
https://github.com/python/cpython/commit/d336b1c8a40d14054145393fafb54b782cc1a549
History
Date User Action Args
2018-12-11 16:08:47vstinnersetmessages: + msg331636
2018-12-11 16:08:36vstinnersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-12-11 15:46:11vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request10352
2018-12-11 15:45:31vstinnersetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg331634

versions: + Python 2.7
2011-05-13 15:09:14vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg135915
2011-03-20 23:29:23python-devsetnosy: + python-dev
messages: + msg131568
2011-03-20 23:10:18vstinnersetnosy: + vstinner
messages: + msg131564
2011-03-20 17:06:21pitroucreate